

# Product REST endpoint page


Represents a product REST endpoint page.

## URI


`/v2/portalproducts/portalProductId/productrestendpointpages/productRestEndpointPageId`

## HTTP methods


### GET


**Operation ID:** `GetProductRestEndpointPage`

Gets a product REST endpoint page.


**Path parameters**  

| Name | Type | Required | Description | 
| --- |--- |--- |--- |
| portalProductId | String | True | The portal product identifier. | 
| productRestEndpointPageId | String | True | The product REST endpoint identifier. | 


**Query parameters**  

| Name | Type | Required | Description | 
| --- |--- |--- |--- |
| resourceOwnerAccountId | String | False | The account ID of the resource owner of the portal product. | 
| includeRawDisplayContent | String | False | The query parameter to include raw display content. | 


**Responses**  

| Status code | Response model | Description | 
| --- |--- |--- |
| 200 | GetProductRestEndpointPageResponseContent | Success | 
| 400 | BadRequestExceptionResponseContent | One of the parameters in the request is invalid. | 
| 403 | AccessDeniedExceptionResponseContent | 403 response | 
| 404 | NotFoundExceptionResponseContent | The resource specified in the request was not found. | 
| 429 | LimitExceededExceptionResponseContent | The client is sending more than the allowed number of requests per unit of time. | 

### DELETE


**Operation ID:** `DeleteProductRestEndpointPage`

Deletes a product REST endpoint page.


**Path parameters**  

| Name | Type | Required | Description | 
| --- |--- |--- |--- |
| productRestEndpointPageId | String | True | The product REST endpoint identifier. | 
| portalProductId | String | True | The portal product identifier. | 


**Responses**  

| Status code | Response model | Description | 
| --- |--- |--- |
| 204 | None | The request has succeeded, and there is no additional content to send in the response payload body. | 
| 400 | BadRequestExceptionResponseContent | One of the parameters in the request is invalid. | 
| 403 | AccessDeniedExceptionResponseContent | 403 response | 
| 404 | NotFoundExceptionResponseContent | The resource specified in the request was not found. | 
| 429 | LimitExceededExceptionResponseContent | The client is sending more than the allowed number of requests per unit of time. | 

### PATCH


**Operation ID:** `UpdateProductRestEndpointPage`

Updates a product REST endpoint page.


**Path parameters**  

| Name | Type | Required | Description | 
| --- |--- |--- |--- |
| productRestEndpointPageId | String | True | The product REST endpoint identifier. | 
| portalProductId | String | True | The portal product identifier. | 


**Responses**  

| Status code | Response model | Description | 
| --- |--- |--- |
| 200 | UpdateProductRestEndpointPageResponseContent | 200 response | 
| 400 | BadRequestExceptionResponseContent | One of the parameters in the request is invalid. | 
| 403 | AccessDeniedExceptionResponseContent | 403 response | 
| 404 | NotFoundExceptionResponseContent | The resource specified in the request was not found. | 
| 429 | LimitExceededExceptionResponseContent | The client is sending more than the allowed number of requests per unit of time. | 

## Schemas


### Request bodies


#### PATCH schema
PATCH

```
{
  "displayContent": {
    "none": {
    },
    "overrides": {
      "endpoint": "string",
      "operationName": "string",
      "body": "string"
    }
  },
  "tryItState": enum
}
```

### Response bodies


#### GetProductRestEndpointPageResponseContent schema
GetProductRestEndpointPageResponseContent

```
{
  "displayContent": {
    "endpoint": "string",
    "operationName": "string",
    "body": "string"
  },
  "tryItState": enum,
  "statusException": {
    "exception": "string",
    "message": "string"
  },
  "productRestEndpointPageId": "string",
  "lastModified": "string",
  "restEndpointIdentifier": {
    "identifierParts": {
      "path": "string",
      "stage": "string",
      "method": "string",
      "restApiId": "string"
    }
  },
  "rawDisplayContent": "string",
  "productRestEndpointPageArn": "string",
  "status": enum
}
```

#### UpdateProductRestEndpointPageResponseContent schema
UpdateProductRestEndpointPageResponseContent

```
{
  "displayContent": {
    "endpoint": "string",
    "operationName": "string",
    "body": "string"
  },
  "tryItState": enum,
  "statusException": {
    "exception": "string",
    "message": "string"
  },
  "productRestEndpointPageId": "string",
  "lastModified": "string",
  "restEndpointIdentifier": {
    "identifierParts": {
      "path": "string",
      "stage": "string",
      "method": "string",
      "restApiId": "string"
    }
  },
  "productRestEndpointPageArn": "string",
  "status": enum
}
```

#### BadRequestExceptionResponseContent schema
BadRequestExceptionResponseContent

```
{
  "message": "string"
}
```

#### AccessDeniedExceptionResponseContent schema
AccessDeniedExceptionResponseContent

```
{
  "message": "string"
}
```

#### NotFoundExceptionResponseContent schema
NotFoundExceptionResponseContent

```
{
  "message": "string",
  "resourceType": "string"
}
```

#### LimitExceededExceptionResponseContent schema
LimitExceededExceptionResponseContent

```
{
  "message": "string",
  "limitType": "string"
}
```

## Properties


### AccessDeniedExceptionResponseContent


The error message.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| message | string | False | The message. | 

### BadRequestExceptionResponseContent


The response content for bad request exception.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| message | string | False | The message of the bad request exception response content. | 

### DisplayContentOverrides


Contains any values that override the default configuration generated from API Gateway.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| body | stringMinLength: 1MaxLength: 32768 | False | By default, this is the documentation of your REST API from API Gateway. You can provide custom documentation to override this value. | 
| endpoint | stringMinLength: 1MaxLength: 1024 | False | The URL for your REST API. By default, API Gateway uses the default execute API endpoint. You can provide a custom domain to override this value. | 
| operationName | stringMinLength: 1MaxLength: 255 | False | The operation name of the product REST endpoint. | 

### EndpointDisplayContent


Represents the endpoint display content.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| none | [None](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-none) | False | If your product REST endpoint contains no overrides, the none object is returned. | 
| overrides | [DisplayContentOverrides](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-displaycontentoverrides) | False | The overrides for endpoint display content. | 

### EndpointDisplayContentResponse


The product REST endpoint page.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| body | stringMinLength: 1MaxLength: 32768 | False | The API documentation. | 
| endpoint | stringMinLength: 1MaxLength: 1024 | True | The URL to invoke your REST API. | 
| operationName | stringMinLength: 1MaxLength: 255 | False | The operation name. | 

### GetProductRestEndpointPageResponseContent


Gets a product REST endpoint page.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| displayContent | [EndpointDisplayContentResponse](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-endpointdisplaycontentresponse) | True | The content of the product REST endpoint page. | 
| lastModified | stringFormat: date-time | True | The timestamp when the product REST endpoint page was last modified. | 
| productRestEndpointPageArn | stringMinLength: 20MaxLength: 2048 | True | The ARN of the product REST endpoint page. | 
| productRestEndpointPageId | stringPattern: `^[a-z0-9]+$`MinLength: 10MaxLength: 30 | True | The product REST endpoint page identifier. | 
| rawDisplayContent | string | False | The raw display content of the product REST endpoint page. | 
| restEndpointIdentifier | [RestEndpointIdentifier](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-restendpointidentifier) | True | The REST endpoint identifier. | 
| status | [Status](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-status) | True | The status of the product REST endpoint page. | 
| statusException | [StatusException](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-statusexception) | False | The status exception information. | 
| tryItState | [TryItState](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-tryitstate) | True | The try it state. | 

### IdentifierParts


The identifier parts of a product REST endpoint.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| method | stringMinLength: 1MaxLength: 20 | True | The method of the product REST endpoint. | 
| path | stringMinLength: 1MaxLength: 4096 | True | The path of the product REST endpoint. | 
| restApiId | stringMinLength: 1MaxLength: 50 | True | The REST API ID of the product REST endpoint. | 
| stage | stringMinLength: 1MaxLength: 128 | True | The stage of the product REST endpoint. | 

### LimitExceededExceptionResponseContent


The response content for limit exceeded exception.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| limitType | string | False | The limit type of the limit exceeded exception response content. | 
| message | string | False | The message of the limit exceeded exception response content. | 

### None


The none option.

### NotFoundExceptionResponseContent


The response content for not found exception.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| message | string | False | The message of the not found exception response content. | 
| resourceType | string | False | The resource type of the not found exception response content. | 

### RestEndpointIdentifier


The REST API endpoint identifier.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| identifierParts | [IdentifierParts](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-identifierparts) | False | The identifier parts of the REST endpoint identifier. | 

### Status


The status.
+ `AVAILABLE`
+ `IN_PROGRESS`
+ `FAILED`

### StatusException


Represents a StatusException.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| exception | stringMinLength: 1MaxLength: 256 | False | The exception. | 
| message | stringMinLength: 1MaxLength: 2048 | False | The error message. | 

### TryItState


Represents the try it state for a product REST endpoint page.
+ `ENABLED`
+ `DISABLED`

### UpdateProductRestEndpointPageRequestContent


Updates a product REST endpoint page.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| displayContent | [EndpointDisplayContent](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-endpointdisplaycontent) | False | The display content. | 
| tryItState | [TryItState](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-tryitstate) | False | The try it state of a product REST endpoint page. | 

### UpdateProductRestEndpointPageResponseContent


Update a product REST endpoint page.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| displayContent | [EndpointDisplayContentResponse](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-endpointdisplaycontentresponse) | True | The content of the product REST endpoint page. | 
| lastModified | stringFormat: date-time | True | The timestamp when the product REST endpoint page was last modified. | 
| productRestEndpointPageArn | stringMinLength: 20MaxLength: 2048 | True | The ARN of the product REST endpoint page. | 
| productRestEndpointPageId | stringPattern: `^[a-z0-9]+$`MinLength: 10MaxLength: 30 | True | The product REST endpoint page identifier. | 
| restEndpointIdentifier | [RestEndpointIdentifier](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-restendpointidentifier) | True | The REST endpoint identifier. | 
| status | [Status](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-status) | True | The status. | 
| statusException | [StatusException](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-statusexception) | False | The status exception information. | 
| tryItState | [TryItState](#portalproducts-portalproductid-productrestendpointpages-productrestendpointpageid-model-tryitstate) | True | The try it state of a product REST endpoint page. | 

## See also


For more information about using this API in one of the language-specific AWS SDKs and references, see the following:

### GetProductRestEndpointPage

+ [AWS Command Line Interface V2](/goto/cli2/apigatewayv2-2018-11-29/GetProductRestEndpointPage)
+ [AWS SDK for .NET V4](/goto/DotNetSDKV4/apigatewayv2-2018-11-29/GetProductRestEndpointPage)
+ [AWS SDK for C\$1\$1](/goto/SdkForCpp/apigatewayv2-2018-11-29/GetProductRestEndpointPage)
+ [AWS SDK for Go v2](/goto/SdkForGoV2/apigatewayv2-2018-11-29/GetProductRestEndpointPage)
+ [AWS SDK for Java V2](/goto/SdkForJavaV2/apigatewayv2-2018-11-29/GetProductRestEndpointPage)
+ [AWS SDK for JavaScript V3](/goto/SdkForJavaScriptV3/apigatewayv2-2018-11-29/GetProductRestEndpointPage)
+ [AWS SDK for Kotlin](/goto/SdkForKotlin/apigatewayv2-2018-11-29/GetProductRestEndpointPage)
+ [AWS SDK for PHP V3](/goto/SdkForPHPV3/apigatewayv2-2018-11-29/GetProductRestEndpointPage)
+ [AWS SDK for Python](/goto/boto3/apigatewayv2-2018-11-29/GetProductRestEndpointPage)
+ [AWS SDK for Ruby V3](/goto/SdkForRubyV3/apigatewayv2-2018-11-29/GetProductRestEndpointPage)

### DeleteProductRestEndpointPage

+ [AWS Command Line Interface V2](/goto/cli2/apigatewayv2-2018-11-29/DeleteProductRestEndpointPage)
+ [AWS SDK for .NET V4](/goto/DotNetSDKV4/apigatewayv2-2018-11-29/DeleteProductRestEndpointPage)
+ [AWS SDK for C\$1\$1](/goto/SdkForCpp/apigatewayv2-2018-11-29/DeleteProductRestEndpointPage)
+ [AWS SDK for Go v2](/goto/SdkForGoV2/apigatewayv2-2018-11-29/DeleteProductRestEndpointPage)
+ [AWS SDK for Java V2](/goto/SdkForJavaV2/apigatewayv2-2018-11-29/DeleteProductRestEndpointPage)
+ [AWS SDK for JavaScript V3](/goto/SdkForJavaScriptV3/apigatewayv2-2018-11-29/DeleteProductRestEndpointPage)
+ [AWS SDK for Kotlin](/goto/SdkForKotlin/apigatewayv2-2018-11-29/DeleteProductRestEndpointPage)
+ [AWS SDK for PHP V3](/goto/SdkForPHPV3/apigatewayv2-2018-11-29/DeleteProductRestEndpointPage)
+ [AWS SDK for Python](/goto/boto3/apigatewayv2-2018-11-29/DeleteProductRestEndpointPage)
+ [AWS SDK for Ruby V3](/goto/SdkForRubyV3/apigatewayv2-2018-11-29/DeleteProductRestEndpointPage)

### UpdateProductRestEndpointPage

+ [AWS Command Line Interface V2](/goto/cli2/apigatewayv2-2018-11-29/UpdateProductRestEndpointPage)
+ [AWS SDK for .NET V4](/goto/DotNetSDKV4/apigatewayv2-2018-11-29/UpdateProductRestEndpointPage)
+ [AWS SDK for C\$1\$1](/goto/SdkForCpp/apigatewayv2-2018-11-29/UpdateProductRestEndpointPage)
+ [AWS SDK for Go v2](/goto/SdkForGoV2/apigatewayv2-2018-11-29/UpdateProductRestEndpointPage)
+ [AWS SDK for Java V2](/goto/SdkForJavaV2/apigatewayv2-2018-11-29/UpdateProductRestEndpointPage)
+ [AWS SDK for JavaScript V3](/goto/SdkForJavaScriptV3/apigatewayv2-2018-11-29/UpdateProductRestEndpointPage)
+ [AWS SDK for Kotlin](/goto/SdkForKotlin/apigatewayv2-2018-11-29/UpdateProductRestEndpointPage)
+ [AWS SDK for PHP V3](/goto/SdkForPHPV3/apigatewayv2-2018-11-29/UpdateProductRestEndpointPage)
+ [AWS SDK for Python](/goto/boto3/apigatewayv2-2018-11-29/UpdateProductRestEndpointPage)
+ [AWS SDK for Ruby V3](/goto/SdkForRubyV3/apigatewayv2-2018-11-29/UpdateProductRestEndpointPage)